File: changelog

package info (click to toggle)
qscintilla2 2.10.4+dfsg-2.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 19,328 kB
  • sloc: cpp: 91,848; ansic: 2,990; python: 1,359; makefile: 213; sh: 5
file content (806 lines) | stat: -rw-r--r-- 29,319 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
qscintilla2 (2.10.4+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libqscintilla2-qt4-13: Add Breaks against libqscintilla2-3 from lenny
    since some upgrade paths uncleanly delete files, causing debsums to
    complain about missing /usr/share/qt4/translations/qscintilla_ru.qm.
    (Closes: #925403)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jun 2019 14:55:29 +0200

qscintilla2 (2.10.4+dfsg-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update symbols files from build logs (note: hppa not updated because the
    hppa differences are due to Qt 5.10 not being built for hppa)
  * Remove myself from uploaders

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * d/watch: Use https protocol

  [ Gudjon I. Gudjonsson ]
  * Add a patch to link designer (Closes: #907172)
  * Mark -l10n and -doc packages Multi-Arch: foreign. 
    Thanks to Helmut Grohne (Closes: #912829)
  * Bump standards version to 4.3.0.2, no changes needed
  * Change debhelper dependency to 12
  * Update symbols files from build log

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 21 Feb 2019 19:34:03 +0100

qscintilla2 (2.10.4+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/copyright
  * Bump stanards-version to 4.1.4 without further change
  * Correct armhf symbols in debian/libqscintilla2-qt5-13.symbols from 2.10.2
  * Update debian/rules to account for QT_SELECT defaulting to Qt5 now
  * Update symbols file for Qt 5.10 and QScintilla2 2.10.4 changes (Closes:
    #896459)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 Apr 2018 16:21:06 -0400

qscintilla2 (2.10.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jan 2018 17:13:22 -0500

qscintilla2 (2.10.2+dfsg-3) experimental; urgency=medium

  * Update symbols files from build logs

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Dec 2017 17:41:28 -0500

qscintilla2 (2.10.2+dfsg-2) experimental; urgency=medium

  * Mark l10n packages as Section: localization to match archive overrides
  * Update symbols files from build logs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Dec 2017 15:26:14 -0500

qscintilla2 (2.10.2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Drop patches used to provide a unique library name per Qt version,
      upstream supports now
    - Rename binary packages to match upstream library naming scheme
    - Bump minimum python/python3-sip-dev requirement to (>= 4.19)
    - Update debian/copyright
  * Add 0007-Fix-sip_file-path-detection.patch to fix infinite loop in Python/
    configure.py
  * Add Suggests: libqscintilla2-doc to library and designer plugin packages
  * Bump standards-version to 4.1.2 without further change
  * Update -dbg package priorities to match archive

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Dec 2017 19:08:47 -0500

qscintilla2 (2.9.3+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Scott Kitterman ]
  * Refresh patches after git-dpm to gbp pq conversion

  [ Michael Hudson-Doyle ]
  * Add python3-all to d/tests/control to ensure all supported versions of
    Python 3 are actually installed. (Closes: #864696)

  [ Dmitry Shachnev ]
  * Update symbols files for GCC 7 and Qt 5.9. (Closes: #853628)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 18 Sep 2017 23:15:31 +0300

qscintilla2 (2.9.3+dfsg-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Switch libqscintilla2-dev to Architecture: any (Closes: #842590)

  [ Scott Kitterman ]
  * Update symbols file for Qt5 5.7.1 transition (Closes: #844225)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Nov 2016 00:24:06 -0500

qscintilla2 (2.9.3+dfsg-3) unstable; urgency=medium

  * Update symbols from build logs again

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Aug 2016 21:40:46 -0400

qscintilla2 (2.9.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Update symbols files from build logs (Closes: #811984)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Aug 2016 16:58:50 -0400

qscintilla2 (2.9.3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Update symbols from local build log for new upstream and gcc-6
    transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Aug 2016 02:23:28 -0400

qscintilla2 (2.9.2+dfsg-3) unstable; urgency=medium

  * Update symbols files from build logs for sparc64 (Closes: #806591)
  * Clean up debian/rules to remove obsolete shell leavings

 -- Scott Kitterman <scott@kitterman.com>  Thu, 30 Jun 2016 00:59:24 -0400

qscintilla2 (2.9.2+dfsg-2) unstable; urgency=medium

  * Update symbols files from build logs after Qt 5.6.1 update

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jun 2016 17:47:17 -0400

qscintilla2 (2.9.2+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * Simplify autopkgtest and add test for new python-pyqt5.qsci binary
  * Update debian/watch for new upstream file name pattern
  * New upstream release (Closes: #823137)
     - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
       jquery.js)
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 May 2016 22:18:02 -0400

qscintilla2 (2.9.1+dfsg-4) unstable; urgency=medium

  * Add new binary packages python-pyqt5.qsci and python-pyqt5.qsci-dbg so
    QScintilla2 can be used with Python (2) and Qt5 to enable QGIS to be
    updated to Qt5
    - Add new packages to debian/control
    - Add python-pyqt5 and python-pyqt5-dbg to build-depends
    - Update debian/rules to do Qt5 builds for both python and python3
    - Add debian/python-pyqt5.qsci.install

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Jan 2016 15:42:57 -0500

qscintilla2 (2.9.1+dfsg-3) unstable; urgency=medium

  * rm the mkspecs dir from libqt5scintilla2-12v5 in debian/rules so the prf
    file doesn't end up installed in two packages
  * Version libqt5scintilla2-dev Breaks/Replaces on libqt5scintilla2-12v5
    to make fixed packages installable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Oct 2015 07:37:06 -0400

qscintilla2 (2.9.1+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildlogs
  * Disable dpkg-gensymbols check level set to 0
  * Add libqt5scintilla2-dev Breaks/Replaces libqt5scintilla2-12v5 due to
    qscintilla2.prf moving between the packages (Closes: #803419)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Oct 2015 18:43:42 -0400

qscintilla2 (2.9.1+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream release (Closes: #803142)
  * Update debian/rules to account for Qt5 prf file being installed in usr/lib
    instead of usr/share by the upstream build system
  * Temporarily set dpkg-gensymbols check level to 0 to ensure we
    capture symbols changes for all libs

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Michael Cree ]
  * Update symbols files for Alpha

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Oct 2015 13:48:47 -0400

qscintilla2 (2.9+dfsg-9) unstable; urgency=medium

  * Update symbols files from buildlogs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 28 Sep 2015 23:09:41 -0400

qscintilla2 (2.9+dfsg-8) unstable; urgency=medium

  * Upload to unstable
  * Update libqt5scintilla2 symbols file for hurd-i386 from build-logs

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Aug 2015 10:42:31 -0400

qscintilla2 (2.9+dfsg-7) experimental; urgency=medium

  * Update symbols files from build logs
  * Revert DPKG_GENSYMBOLS_CHECK_LEVEL=0

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Aug 2015 00:24:13 -0400

qscintilla2 (2.9+dfsg-6) experimental; urgency=medium

  * Update for g++5 transition (See #791257)
    - Bump library packages to libq{t5}scintilla2-12v5 for transition
    - Update debian/control, including conflicts/replaces for previous libs
  * Temporarily export DPKG_GENSYMBOLS_CHECK_LEVEL=0 to collect symbols file
    changes for both libraries
  * cp instead of mv QScintilla2.api in debian/rules so build can be re-run
    after a failure for testing
  * Drop -dbg tests from autopkgtests for now since that part of the test
    fails and such falures will mask failures due to sip issues, which is the
    main value of the test

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Aug 2015 23:02:34 -0400

qscintilla2 (2.9+dfsg-5) unstable; urgency=medium

  * Update symbols files from buildd build logs and try again
    (Closes: #790420)
  * Update libqt5scintilla2-l10n Suggests to libqt5scintilla2-12

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Jun 2015 10:39:03 -0400

qscintilla2 (2.9+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Re-add symbols files
  * Correct exporting path to use pkg-kde-tools symbolshelper

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Jun 2015 01:32:46 -0400

qscintilla2 (2.9+dfsg-3) experimental; urgency=medium

  * Correct library dependencies for libqt5scintilla2-designer,
    python-qscintilla2, and python3-pyqt4.qsci (Closes: #790016)
  * Start with empty symbols files to have experimental build logs for all
    archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jun 2015 00:07:09 -0400

qscintilla2 (2.9+dfsg-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add an autopkgtest to check importability of Python modules.

  [ Scott Kitterman ]
  * Add BSD license information for Python/configure.py to debian/copyright
  * Add dh-python to build-depends
  * Generate correctly versioned depends for python extensions
   (Closes: #784091)
    - Add symbols files for libqscintilla2 and libqt5scintilla2
    - Add pkg-kde-tools to build-depends
    - Export path for symbolshelper in debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Jun 2015 14:29:13 -0400

qscintilla2 (2.9+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
      jquery.js)
    - Update debian/patches/configure.py-objdir-support.diff and debian/
      patches/remove-logo-privacy-issue.diff to match upstream changes
    - Refresh other patches
    - Update debian/copyright - Now GPLv3 only vice previous GPLv2/3
  * Bump libqt5scintilla2-12 and libqscintilla2-12 package names to match new
    soname

 -- Scott Kitterman <scott@kitterman.com>  Mon, 15 Jun 2015 23:04:39 -0400

qscintilla2 (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
      jquery.js and doc/html-Qt3/jquery.js)
    - Update debian/patches/qt5_libname.patch to match upstream changes in the
      same area
    - Refresh patches
    - Temporarily bump pyqt5 build-dep version to 5.3.2+dfsg-2~ to make sure
      it builds against the current pyqt5 on all archs
  * Bump standards version to 3.9.6 without further change
  * Remove obsolete debian/README.Debian

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Sep 2014 22:09:22 -0400

qscintilla2 (2.8.3+dfsg-3) unstable; urgency=medium

  * Add support for Qt designer plugin with Qt5
    - Add new binary, libqt5scintilla2-designer, in debian/control
    - Add qttools5-dev to build-depends
    - Update debian/rules
    - Merge debian/patches/designer_link_fix.patch into debian/patches/
      qt5_libname.patch and update for Qt5 name for designer plugin
  * Add -dbg packages (Closes: #618985)
    - Add -dbg packages to debian/control
    - Add python-qt4-dbg, python3-pyqt4-dbg, python3-pyqt5-dbg, python-all-dbg
      and python3-all-dbg to build-depends
    - Rework debian/rules based on how python-qt4 does it to actually build
      and install the dbg variants
    - Add debian/patches/build_debug_libs.patch to enable debug build in lib
      and designer plugin
    - Adjust configure to build python bindings with debug enabled
  * Add dev packages (pyqt5.qsci-dev and pyqt4.qsci-dev) for sip files to make
    it possible to provide sip bindings to classes derived from Qscintilla
    classes (Closes: #755491)
    - Add debian/pyqt5.qsci-dev.install and pyqt4.qsci-dev.install
    - Add debian/patches/sip_install_loc.patch to adjust sip file location in
      Python/QSci.pro for Debian python build locations (Thanks to Jürgen E.
      Fischer)
  * Additional adjustments to debian/rules to prevent errors from being
    ignored (thanks to Jürgen E. Fischer)
  * Make Qt5 arch any since pyqt5 now builds on hurd
  * Update debian/copyright
  * Wrap and sort
  * Drop obsolete Breaks/Replaces

 -- Scott Kitterman <scott@kitterman.com>  Sun, 27 Jul 2014 12:47:35 -0400

qscintilla2 (2.8.3+dfsg-2) unstable; urgency=medium

   * Patch designer-Qt4Qt5/designer.pro to explicitly link with the Qt4 version
     of the qscintilla2 library to fix runtime inability to find qscintilla2
     symbols (Closes: 753581) (really)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jul 2014 22:34:22 -0400

qscintilla2 (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
      jquery.js and doc/html-Qt3/jquery.js)
    - Rebuild should resolve #753581 (Closes: #753581)
    - Dropped debian/patches/pyconfigure_target_config_fix.patch, resolved
      upstream
    - Refreshed patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Jul 2014 10:00:28 -0400

qscintilla2 (2.8.2+dfsg-3) unstable; urgency=medium

  * Correct location and content of qscintilla2.prf for Qt5 build
    (Closes:  #751531)
    - Set libqt5scintilla2 in LIBS if debug is enabled in qscintilla2.prf
    - Change qscintilla2.prf from usr/share to usr/lib so Qt5 finds it

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Jun 2014 10:37:34 -0400

qscintilla2 (2.8.2+dfsg-2) unstable; urgency=medium

  * Fix failure to link python* packages to the lib (Closes: #751239)
    - Add debian/patches/qsci_link.patch so that the correct (Qt4/Qt5) is used
    - Update debian/rules to match build system changes so that the correct
      search path for the libs is used

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jun 2014 09:59:25 -0400

qscintilla2 (2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files
    - Refresh and update patches for upstream Python/configure.py changes
    - Add debian/patches/pyconfigure_target_config_fix.patch to fix a variable
      rename missed by upstream
  * Adjust debian/rules to use the new, multiarch Qt5 header installation
    locations (Closes: #751071)
    - Change libqt5scintilla2-dev to arch:linux-any kfreebsd-any now that
      header locations are arch specific for the Qt5 build
  * Build Qt5 packages for kfreebsd now that pyqt5 is built there
  * Update debian/watch due to need to mangle upstream version
  * Set minimum pyqt5 build-dep version to 5.3+dfsg-2~ Due to Qt 5.3 changes
  * Fix libqt5scintilla2-l10n Suggests

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Jun 2014 14:45:54 -0400

qscintilla2 (2.8.1-4) unstable; urgency=medium

  * Fix test for python-pyqt5 availability

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 May 2014 09:07:37 -0400

qscintilla2 (2.8.1-3) unstable; urgency=medium

  * Change PyQt5 build-deps to linux-any to match where it is available
  * Limit Qt5 based packages to linux-any
  * Reorder debian/rules and add guards to only run Qt5 related rules when
    PyQt5 is available
  * Install QScintilla2.api files for Qt4 and Qt5 in libqscintilla2-doc

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 May 2014 23:59:00 -0400

qscintilla2 (2.8.1-2) unstable; urgency=medium

  * Add debian/patches/remove-logo-privacy-issue.diff to remove use of
    http://www.scintilla.org/SciBreak.jpg when the SCintilla docs are
    accessed in order to resolve privacy-breach-logo lintian error
  * Add packaging for Qt5
    - Add new binaries: libqt5scintilla2--11, libqt5scintilla2-dev,
      libqt5scintilla2-l10n, and python3-pyqt5.qsci
    - Add qtbase5-dev, python3-pyqt5, and pyqt5-dev to build-depend
    - Add debian/patches/qt5_includes.patch to use correct Qt5 includes for
      the Python bindings
    - Add debian/patches/qt5_libname.patch to change the qscintilla2 library
      name when built with Qt5 so the Qt4 and Qt5 versions are co-installable
    - Update debian/rules to build both Qt4 and Qt5 versions
    - Update package descriptions to make it clear which is for Qt4 and which
      is for Qt5
  * Install prf file in libqscintilla2-dev
  * Correct symlink for jquery.js in libqscintilla2-doc
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Mar 2014 14:34:54 -0400

qscintilla2 (2.8.1-1) unstable; urgency=medium

  * New upstream release
    - Update library name to libqscintilla2-11 based on upstream soname change
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Mar 2014 19:02:44 -0400

qscintilla2 (2.7.2-1) unstable; urgency=low

  * New upstream release
    - Update debian/patches/configure.py-objdir-support.diff to account for
      the potential for both PyQt4 and PyQt5 (when packaged) builds
    - Update debian/patches/py_conf_inc_dir.diff for upstream updates to
      Python/configure.py
  * Update watch file, thanks to Bart Martens

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Jun 2013 02:46:07 -0400

qscintilla2 (2.7.1-1) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/patches/configure.py-objdir-support.diff for upstream
      Python/configure.py changes
    - Update debian/rules to work with new Qt4/Qt5 dirctory naming and removal
      of Qt3 support
    - Update debian/rules and add debian/patches/py_conf_inc_dir.diff to get
      new configure.py script to work with Python multia-arch header locations
  * Drop symbols file for now until it is reliable
  * Rename libqscintilla2-translations to libqscintilla2-l10n
    (Closes: #700641)
  * Revert bad watch file change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 May 2013 17:08:40 -0400

qscintilla2 (2.7-2) experimental; urgency=low

  * Update symbols files for new upstream version

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Feb 2013 17:39:06 -0500

qscintilla2 (2.7-1) experimental; urgency=low

  [ Scott Kitterman ]
  * New upstream release
    - Update for new SO name (rename libqscintilla2-8 to libqscintilla2-9)
    - Update debian/copyright
  * Add symbols file for libqscintilla2-9
  * Move translations for libqscintilla2 to a separate binary,
    libqscintilla2-translations, so that the library itself is
    co-installable with other versions
  * Update debian/rules to use dpkg-buildflags
  * Bump compat and debhelper version requirement to 9
  * Bump standards version to 3.9.4 without further change

  [ Matthias Klose ]
  * Fix installation of multiple python3 extensions.

  [ Bart Martens ]
  * Updated debian/watch file

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Dec 2012 00:29:31 -0500

qscintilla2 (2.6.2-3) experimental; urgency=low

  * Rebuild in experimental with new sip4

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Oct 2012 23:29:40 -0400

qscintilla2 (2.6.2-2) unstable; urgency=low

  * Upload to Unstable (Closes: #681107)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Sep 2012 15:29:21 -0400

qscintilla2 (2.6.2-1) experimental; urgency=low

  * New upstream release
    - Update debian rules for new directory naming Qt4/Qt4Qt5
    - Update debian/libqscintilla2-doc.docs, libqscintilla2-doc.doc-base.api,
      and libqscintilla2-doc.examples for new documentation and examples
      directory names
    - Refresh patches
    - Update debian/copyright
  * Add missing X-Python3-Version to specify Python 3.1 as minimum Python 3

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Jul 2012 01:17:03 -0400

qscintilla2 (2.6.1-5) unstable; urgency=low

  * Upload to unstable for qt4-x11 multiarch transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 May 2012 21:27:32 -0400

qscintilla2 (2.6.1-4) experimental; urgency=low

  [ Thomas Kluyver ]
  * Package for Python 3 (LP: #608962)

  [ Scott Kitterman ]
  * Use Python policy compliant binary name for Python 3 (python3-pyqt4.qsci)
  * Remove pointless Build-depends and Depends versioning
  * Fix debian/rules to build for all python3 variants, not just the default
  * Use dh_sip3 for python3-pyqt4.qsci, not dh_sip
  * Drop incorrect Multi-Arch: same for libqscintilla2-8

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Mar 2012 22:19:28 -0400

qscintilla2 (2.6.1-3) experimental; urgency=low

  * Re-upload due to broken -2 attempt

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Mar 2012 13:27:00 -0500

qscintilla2 (2.6.1-2) experimental; urgency=low

  * Update for multi-arch
    - Fix libqscintilla2-designer.install paths for multiarch
    - Bump version requirement for debhelper and add minumum version for
      libqt4-dev
    - For libqscintilla2-8, add misc:Pre-Depends and set Multi-Arch: same
  * Set compat to 8
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Mar 2012 02:52:05 -0500

qscintilla2 (2.6.1-1) unstable; urgency=low

  * New upstream release
    - Drop debian/patches/snapshot-keys.patch as it was cherrypicked from
      upstream to start with
    - Refresh remaining patches
  * Add libqscintilla2-8 Breaks previous versions of the library since they
    aren't completely co-installable
  * Install NEWS file as upstream changelog

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Feb 2012 11:01:43 -0500

qscintilla2 (2.6-4) unstable; urgency=low

  * Add debian/patches/snapshot-keys.patch to fix custom keyboard shortcuts
    (Closes: #659356)
  * Add libjs-jquery to libqscintilla2-doc depends and use symlink to its
    jquery.js instead of the embedded minified version

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Feb 2012 23:00:05 -0500

qscintilla2 (2.6-3) unstable; urgency=high

  * Readd libqscintilla2-5 to libqscintilla2-8 Replaces to support upgrades
    from squeeze

 -- Scott Kitterman <scott@kitterman.com>  Tue, 29 Nov 2011 22:12:23 -0500

qscintilla2 (2.6-2) unstable; urgency=low

  * Drop symbols file for the moment due to per-arch symbol differences
    causing FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Nov 2011 09:29:47 -0500

qscintilla2 (2.6-1) unstable; urgency=low

  * New upstream release with updated ABI
    - Change libqscintilla2-6 to libqscintilla2-8 for new ABI and adjust
      internal depends
    - Rename libqscintilla2-6.install to libqscintilla2-8.install
    - Adjust libqscintilla2-dev depends
    - Updated debian/copyright
  * Added symbols file for libqscintilla2-8 (libqscintilla2-8.symbols)
  * Add missing build-arch/build-indep targets
  * Remove empty /usr/share/pyshared/ directory from python-qscintilla2
  * Fix upstream homepage
  * Improve libqscintilla2-8 and libqscintilla2-dev short descriptions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 16 Nov 2011 01:03:39 -0500

qscintilla2 (2.5.1-1) unstable; urgency=low

  * New upstream release with updated ABI (Closes: #638209)
    - Change libqscintilla2-5 to libqscintilla2-6 for new ABI and adjust
      internal depends
    - Rename libqscintilla2-5.install to libqscintilla2-6.install
  * Add DPMT Vcs-* fields
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 13:15:31 -0400

qscintilla2 (2.4.5-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Switch to dh_python2 (Closes: #634861)

  [ Scott Kitterman ]
  * New upstream release
  * Agreed maintainer change to DPMT
  * Add myself to uploaders

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 10:06:11 -0400

qscintilla2 (2.4.3-2) unstable; urgency=low

  * Rebuilding (Closes: #619096)
  * Remove dpatch references from patches
  * Remove README.source file (Closes: #618983)
  * Bump standards version to 3.9.1
  * Remove unneded Section: in control file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 31 Mar 2011 08:44:12 +0200

qscintilla2 (2.4.3-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - Changelog is not distributed any more, don't try to install

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:17:14 +0200

qscintilla2 (2.4.2-3) unstable; urgency=low

  * Fix dependencies of libqscintilla2-dev (Closes: #568217)

 -- Torsten Marek <shlomme@debian.org>  Wed, 03 Feb 2010 09:01:40 +0100

qscintilla2 (2.4.2-2) unstable; urgency=low

  * Upload to unstable. (Closes: #567220)
  * debian/control
    - Change priority from extra to optional (Closes: #563198)
    - Bumped standards version to 3.8.4, no changes necessary
  * debian/rules
    - Make sure stripping is handled by dh_strip (Closes: #560395)

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 22:50:52 +0100

qscintilla2 (2.4.2-1) experimental; urgency=low

  * New upstream release
  * Convered to source format "3.0 (quilt)"
  * debian/control
    - Dropped build dependency on dpatch
    - Added ${sip:Depends} to dependencies of python-qscintilla2
    - Fixed lintian warning for libqscintilla2-dev dependencies
  * debian/patches/*
    - Converted all patches to quilt
  * debian/rules
    - Reorder rules to make safe for parallel builds
    - Removed dpatch handling and workarounds
    - Added call to dh_sip

 -- Torsten Marek <shlomme@debian.org>  Wed, 27 Jan 2010 22:49:13 +0100

qscintilla2 (2.4-5) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * Rebuilt (Closes: #550570)
  * Add fields to the copyright file, Thanks to Mathieu Parent
    (Closes: #516122)
  * Ask debian release for binNMU (Closes: #541379)
  * Change libqscintilla2-dev dependency to ${source:Version}
    removes lintian error
  * Add README.source file

  [ Torsten Marek ]
  * debian/control
    - Added Gudjon to Uploaders
  * debian/watch
    - Fixed watch file to check on download page

 -- Torsten Marek <shlomme@debian.org>  Sat, 28 Nov 2009 15:39:15 +0100

qscintilla2 (2.4-4) unstable; urgency=low

  * Rebuilt against new sip
  * debian/control
    - Bumped standards version to 3.8.3, no changes necessary
    - Update sip dependency to 4.9 and PyQt4 dependencies to 4.6

 -- Torsten Marek <shlomme@debian.org>  Wed, 14 Oct 2009 19:47:54 +0200

qscintilla2 (2.4-3) unstable; urgency=low

  * Upload rebuilt packages
  * Fixes segfault on import

 -- Torsten Marek <shlomme@debian.org>  Sat, 20 Jun 2009 12:11:11 +0200

qscintilla2 (2.4-2) unstable; urgency=low

  * Upload to unstable
  * debian/control
    - Bump dependencies on sip to 4.8.1
    - Depend on python-qt4 4.5.1

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:46:57 +0200

qscintilla2 (2.4-1) experimental; urgency=low

  * New upstream release
  * Switch to python-support
  * debian/control
    - Updated all sip dependencies to 4.8
    - Bumped standards version to 3.8.1, no changes necessary
    - Updated PyQt dependencies to 4.5
  * debian/python-qscintilla2.install
    - Update install paths for Python 2.6 (Closes: #531847)

 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 20:28:51 +0200

qscintilla2 (2.3.2-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - bump build dependency to sip 4.7.9 and python-qt4 4.4.4
    - add build dependency on python-sip4 (Closes: #453895)
    - upstream SONAME bump, renamed library package to
      libqscintilla2-5, replaces libqscintilla2-3 because
      of translation files in library package

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 22:14:17 +0100

qscintilla2 (2.2-4) unstable; urgency=low

  * debian/control
    - tighten build dependencies on sip 4.7.6

 -- Torsten Marek <shlomme@debian.org>  Thu, 12 Jun 2008 14:24:04 +0200

qscintilla2 (2.2-3) unstable; urgency=low

  * Rebuild with PyQt 4.4.2 and sip 4.7.6
  * debian/control
    - bumped python-qt4 dependencies to 4.4.2
    - bumped standards version to 3.8.0, no changes necessary

 -- Torsten Marek <shlomme@debian.org>  Wed, 11 Jun 2008 23:34:44 +0200

qscintilla2 (2.2-2) unstable; urgency=low

  * New upload to trigger a rebuild on all architectures.
  * debian/control
    - Build-depend on newest PyQt4 revision 4.3.3-3
    - python-qscintilla2 depends on newest PyQt4 revision

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 21:55:13 +0100

qscintilla2 (2.2-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.7.3, no changes necessary.
  * Fixed regex in debian/watch file.

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 21:38:44 +0100

qscintilla2 (2.1+snapshot20070923-1) unstable; urgency=low

  * Initial upload (Closes: #435151)

 -- Torsten Marek <shlomme@debian.org>  Sun, 30 Sep 2007 14:23:18 +0200